﻿<Page x:Class="SLLearningSystem1.Page2"
      xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
      xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
      xmlns:local="clr-namespace:SLLearningSystem1"
      xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
      xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
      mc:Ignorable="d" 
      d:DesignWidth="960"
      d:DesignHeight="770" 
      Loaded="Page_Loaded"
	Title="Page2">

    <Grid>
        <TextBlock x:Name="myName" Text="評価が書かれる" FontSize="25" Margin="656,10,0,575" TextWrapping="Wrap" />
        <MediaElement x:Name="BeginerModel" Source="image\BeginerModel.avi" HorizontalAlignment="Left" VerticalAlignment="Top" Width="640" Height="360" 
                      LoadedBehavior="Manual" UnloadedBehavior="Stop" MediaEnded="BeginerModel_MediaEnded" MouseDown="BeginerModel_MouseDown" RenderTransformOrigin="0.5,0.5">
            <MediaElement.RenderTransform>
                <ScaleTransform x:Name="mirrorB" ScaleX="1"/>
            </MediaElement.RenderTransform>
        </MediaElement>
        <MediaElement x:Name="GoodModel"  HorizontalAlignment="Left" VerticalAlignment="Bottom" Width="640" Height="360" LoadedBehavior="Manual"
                      UnloadedBehavior="Stop" MediaEnded="GoodModel_MediaEnded" MouseDown="GoodModel_MouseDown" Margin="0,0,0,19" RenderTransformOrigin="0.5,0.5">
            <MediaElement.RenderTransform>
                <ScaleTransform x:Name="mirrorG" ScaleX="1"/>
            </MediaElement.RenderTransform>
        </MediaElement>
        <TextBlock x:Name="blackbord" Background="Black" HorizontalAlignment="Left" VerticalAlignment="Top" Width="640" Height="360"/>
        <TextBlock Text="↑あなたの手話" FontSize="15" Margin="11,361,809,379"/>
        <TextBlock Text="↑お手本手話" FontSize="15" Margin="10,751,810,-11"/>
        <TextBlock Text="同時再生" FontSize="20"  Margin="760,555,70,185"/>
        <!--TextBlock Text="スコア評価" FontSize="20" Margin="656,227,0,0" HorizontalAlignment="Left" VerticalAlignment="Top"/>
        <TextBlock Text="      -1      　 エラー(座標取得できず)" FontSize="20" Margin="656,252,0,0" HorizontalAlignment="Left" VerticalAlignment="Top"/>
        <TextBlock Text="  0.0～10.0   よく似た手話" FontSize="20" Margin="656,277,0,0" HorizontalAlignment="Left" VerticalAlignment="Top"/>
        <TextBlock Text=" 10.0～         動画で検証が必要" FontSize="20" Margin="656,302,0,0" HorizontalAlignment="Left" VerticalAlignment="Top"/-->
        <TextBlock x:Name="hidden" Visibility="Hidden" />
        <Button x:Name="PlayButtonB" Click="PlayButtonB_Click" HorizontalAlignment="Left" VerticalAlignment="Top" Margin="295,165,0,0" Width="50" Height="50">
            <Button.Template>
                <ControlTemplate TargetType="Button">
                    <Border Background="Gray" CornerRadius="30" Padding="10">
                        <TextBlock Text="▶" FontSize="35" VerticalAlignment="Center" HorizontalAlignment="Center" Margin="10,0,0,0" Width="50" Height="50"/>
                    </Border>
                </ControlTemplate>
            </Button.Template>
        </Button>
        <Button x:Name="PlayButtonG" Click="PlayButtonG_Click" HorizontalAlignment="Left" VerticalAlignment="Bottom" Margin="295,165" Width="50" Height="50">
            <Button.Template>
                <ControlTemplate TargetType="Button">
                    <Border Background="Gray" CornerRadius="30" Padding="10">
                        <TextBlock Text="▶" FontSize="35" VerticalAlignment="Center" HorizontalAlignment="Center" Margin="10,0,0,0" Width="50" Height="50"/>
                    </Border>
                </ControlTemplate>
            </Button.Template>
        </Button>
        <Button x:Name="PlayButtonBoth" Click="PlayButtonBoth_Click" HorizontalAlignment="Left" VerticalAlignment="Bottom" Margin="690,0,0,175" Width="50" Height="50">
            <Button.Template>
                <ControlTemplate TargetType="Button">
                    <Border Background="Gray" CornerRadius="30" Padding="10">
                        <TextBlock Text="▶" FontSize="35" VerticalAlignment="Center" HorizontalAlignment="Center" Margin="10,0,0,0" Width="50" Height="50"/>
                    </Border>
                </ControlTemplate>
            </Button.Template>
        </Button>
        <Button x:Name="ZaxisButton" Content="奥行きの表示" FontSize="25" Click="ZaxisButton_Click" HorizontalAlignment="Left" VerticalAlignment="Top" Margin="690,363,0,0" Width="200" Height="50"/>
        <CheckBox x:Name="slowCheck" Content="  スロー再生(0.5倍速)" FontSize="13" Height="20" Margin="704,608,48,142" Checked="SlowCheck_Checked" Unchecked="SlowCheck_Unchecked">
            <CheckBox.LayoutTransform>
                <ScaleTransform ScaleX="1.3" ScaleY="1.3"/>
            </CheckBox.LayoutTransform>
        </CheckBox>
        <CheckBox x:Name="reverseCheck" Content="  左右反転" FontSize="13" Height="20" Margin="704,630,48,120" Checked="ReverseCheck_Checked" Unchecked="ReverseCheck_Unchecked">
            <CheckBox.LayoutTransform>
                <ScaleTransform ScaleX="1.3" ScaleY="1.3"/>
            </CheckBox.LayoutTransform>
        </CheckBox>
        <Button Content="戻る" x:Name="BuckButton" Click="BuckButton_Click" HorizontalAlignment="Right" VerticalAlignment="Bottom" Width="80" Height="25" Margin="10"/>
    </Grid>
</Page>
